package com.ruoyi.bst.booth.domain;

import com.ruoyi.bst.device.domain.Device;
import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.util.List;

@Data
public class BoothVO extends Booth{

    @ApiModelProperty("分区名称")
    private String partName;

    @ApiModelProperty("父分区名称")
    private String parentName;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("商户名称")
    private String mchName;

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("商户ID")
    private Long mchId;

    @ApiModelProperty("卡座设备")
    private List<DeviceVO> devices;


}
