package com.ruoyi.bst.storage.domain;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StorageVO extends Storage{

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("位置名称")
    private String locationName;

    @Excel(name = "当前数量")
    @ApiModelProperty("当前数量")
    private Integer currentNum;

    public Integer getCurrentNum() {
        return getTotalNum() - getTakenNum();
    }

}
