package com.ruoyi.bst.storage.service;

import java.util.List;

public interface StorageValidator {

    /**
     * 判断当前用户是否可以修改存酒信息
     * @param  storageId 存酒信息ID
     * @return 是否允许
     */
    boolean canEdit(Long storageId);

    boolean canEdit(List<Long> storageIds);

    /**
     * 判断当前用户是否可以删除存酒信息
     * @param  storageIds 位置ID集合
     * @return 是否允许
     */
    boolean canDelete(List<Long> storageIds);

}
