package com.ruoyi.bst.storage.service.impl;

import com.ruoyi.bst.model.domain.Model;
import com.ruoyi.bst.storage.domain.Storage;
import com.ruoyi.bst.storage.service.StorageConverter;
import org.springframework.stereotype.Service;

@Service
public class StorageConverterImpl implements StorageConverter {
    @Override
    public Storage toPoByCreate(Storage data) {
        if (data == null) {
            return null;
        }
        Storage po = new Storage();

        po.setLocationId(data.getLocationId());
        po.setStoreId(data.getStoreId());
        po.setUserId(data.getUserId());
        po.setSkuId(data.getSkuId());
        po.setGoodsName(data.getGoodsName());
        po.setTotalNum(data.getTotalNum());
        po.setDeadline(data.getDeadline());
        po.setSpecValue(data.getSpecValue());
        po.setRemark(data.getRemark());

        return po;
    }

    @Override
    public Storage toPoByUpdate(Storage data) {
        if (data == null) {
            return null;
        }
        Storage po = new Storage();

        po.setId(data.getId());
        po.setLocationId(data.getLocationId());
        po.setStoreId(data.getStoreId());
        po.setUserId(data.getUserId());
        po.setSkuId(data.getSkuId());
        po.setGoodsName(data.getGoodsName());
        po.setTotalNum(data.getTotalNum());
        po.setDeadline(data.getDeadline());
        po.setSpecValue(data.getSpecValue());
        po.setRemark(data.getRemark());

        return po;
    }
}
