package com.ruoyi.bst.storageRecord.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 取酒记录对象 bst_storage_record
 *
 * @author ruoyi
 * @date 2025-06-06
 */
@Data
public class StorageRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "存放明细ID")
    @ApiModelProperty("存放明细ID")
    private Long storageId;

    @Excel(name = "店铺ID")
    @ApiModelProperty("店铺ID")
    private Long storeId;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "原因")
    @ApiModelProperty("原因")
    private String reason;

    @Excel(name = "取酒数量")
    @ApiModelProperty("取酒数量")
    private Integer number;

}
