package com.ruoyi.bst.storageRecord.domain;

import com.ruoyi.bst.specValue.domain.SpecValue;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class StorageRecordVO extends StorageRecord{

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("存放总数")
    private Integer totalNum;

    @ApiModelProperty("商品规格")
    private List<SpecValue> specValue;

}
