package com.ruoyi.bst.goods.service;

import java.util.List;

public interface GoodsValidator {


    /**
     * 判断当前用户是否可以编辑商品
     * @param storeId 商品ID
     * @return 是否允许
     */
    boolean canEdit(Long storeId);

    /**
     * 判断当前用户是否可以删除商品
     * @param storeIds 商品ID
     * @return 是否允许
     */
    boolean canDeleteAll(List<Long> storeIds);


}
