package com.ruoyi.bst.location.service;

import java.util.List;

public interface LocationValidator {

    /**
     * 判断当前用户是否可以修改位置信息
     * @param  locationId 位置ID
     * @return 是否允许
     */
    boolean canEdit(Long locationId);

    /**
     * 判断当前用户是否可以删除位置信息
     * @param  locationIds 位置ID集合
     * @return 是否允许
     */
    boolean canDelete(List<Long> locationIds);

}
