package com.ruoyi.bst.storeStaff.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StoreStaffPermission {

    STORE_VIEW("store:view","查看店铺"),
    STORE_EDIT("store:edit","修改店铺"),
    PART_VIEW("part:view","查看分区"),
    PART_EDIT("part:edit","修改分区"),
    BOOTH_VIEW("booth:view","查看卡座"),
    BOOTH_EDIT("booth:edit","修改卡座"),
    DEVICE_VIEW("device:view","查看设备"),
    DEVICE_EDIT("device:edit","修改设备"),
    SUIT_VIEW("suit:view","查看套餐"),
    SUIT_EDIT("suit:edit","修改套餐"),
    ORDER_VIEW("order:view","查看订单"),
    ORDER_EDIT("order:edit","修改订单"),
    TEAM_VIEW("team:view","查看拼桌"),
    TEAM_EDIT("team:edit","修改拼桌"),
    TEAM_USER_VIEW("team:user:view","查看拼桌用户"),
    TEAM_USER_EDIT("team:user:edit","踢出拼桌用户"),
    GOODS_CATEGORY_VIEW("goods:category:view","查看商品分类"),
    GOODS_CATEGORY_EDIT("goods:category:edit","修改商品分类"),
    GOODS_VIEW("goods:view","查看商品"),
    GOODS_EDIT("goods:edit","修改商品"),
    LOCATION_VIEW("location:view","查看存放位置"),
    LOCATION_EDIT("location:edit","修改存放位置"),
    STORAGE_VIEW("storage:view","查看存酒明细"),
    STORAGE_EDIT("storage:edit","修改存酒明细"),
    STORAGE_RECORD_VIEW("storage:record:edit","查看取酒记录");


    private final String code;
    private final String name;

}
